Subject: Re: [PATCH v2] Bluetooth: fix dangling sco_conn and use-after-free in sco_sock_timeout

From: [email-masked]
Date: Tue, 29 Mar 2022 11:40:11 +0000

Hello:

This patch was applied to bluetooth/bluetooth-next.git (master)
by Marcel Holtmann <[email-masked]>:

On Sat, 26 Mar 2022 07:09:28 +0000 you wrote:
> Connecting the same socket twice consecutively in sco_sock_connect()
> could lead to a race condition where two sco_conn objects are created
> but only one is associated with the socket. If the socket is closed
> before the SCO connection is established, the timer associated with the
> dangling sco_conn object won't be canceled. As the sock object is being
> freed, the use-after-free problem happens when the timer callback
> function sco_sock_timeout() accesses the socket. Here's the call trace:
> 
> [...]

Here is the summary with links:
  - [v2] Bluetooth: fix dangling sco_conn and use-after-free in sco_sock_timeout
    https://git.kernel.org/bluetooth/bluetooth-next/c/300cf0bfb43e

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html